/**
 * 
 */
package org.yoshiori.psp;

import java.io.IOException;
import java.io.OutputStream;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.python.util.PythonInterpreter;

/**
 * @author yoshiori
 * 
 */
@SuppressWarnings("serial")
public class JythonServlet extends HttpServlet {

	

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {	
		execJython(req, resp);
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		execJython(req, resp);
	}
	
	private void execJython(HttpServletRequest req, HttpServletResponse resp)
			throws IOException {
		resp.setContentType("text/html; charset=utf-8");
		
		PythonInterpreter pythonInterpreter = new PythonInterpreter(); //1
		
		OutputStream out = resp.getOutputStream();
		
		pythonInterpreter.setOut(out); //2
		
		pythonInterpreter.set("request",req); //3
		pythonInterpreter.set("response",resp); //3
		
		String path = getServletContext().getRealPath(req.getServletPath());//4
		
		pythonInterpreter.execfile(path);//5
		
		out.close();
	}


}
